2025-04-01Monitors
Viewing API version 2025-04-01. View the latest version.
List events for a monitor
List the change events recorded for a monitor, filtered by code, category or time range.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Path Parameters
monitorId*string
Format
uuidQuery Parameters
eventCode?|
category?|
since?|
until?|
limit?integer
Default
100Range
1 <= value <= 500offset?integer
Default
0Range
0 <= valueHeader Parameters
Kausate-Version?string
Default
"2025-04-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/monitors/497f6eca-6276-4993-bfeb-53cbbbba6f08/events" \ -H "Kausate-Version: 2025-04-01"{
"events": [
{
"eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",
"monitorId": "075fef10-8522-4c43-ac39-f1796133943e",
"kausateId": "string",
"eventCode": "NAME_CHANGED",
"category": "status",
"severity": "info",
"detectedAt": "2019-08-24T14:15:22Z",
"diffPath": "string",
"before": null,
"after": null,
"metadata": {},
"deliveries": [
{
"channel": "string",
"status": "string",
"target": "string",
"lastError": "string",
"deliveredAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z"
}
]
}
],
"total": 0
}{
"detail": "Invalid API key"
}{
"detail": "Insufficient credits. Required: 10, Available: 5"
}{
"detail": "Company not found"
}{
"detail": "Validation error"
}{
"detail": "An internal error occurred"
}Last updated on